import express from 'express';
import cors from 'cors';
import { executeCommand } from './broker.js';

const app = express();
const port = 8090;

//app.use(cors());
// CORS aktivieren und den Origin explizit setzen
app.use(cors({
  origin: 'http://localhost:8080',  // Erlaubt Anfragen vom Frontend (localhost:8080)
  methods: ['GET', 'POST', 'OPTIONS'], // Zulässige Methoden
  allowedHeaders: ['Content-Type'],  // Zulässige Header
  credentials: true                  // Falls du Cookies oder Auth-Daten senden möchtest
}));

// Füge dies hinzu, um die OPTIONS-Anfragen korrekt zu behandeln
app.options('/api/command', cors()); // für eine bestimmte Route

// Verwende die Middleware, um POST-Body als JSON zu lesen
app.use(express.json());



app.post('/api/command', (req, res) => {
  executeCommand();
  res.status(200).send('Command executed\n');
});

app.listen(port, '0.0.0.0', () => {
    console.log(`Server läuft auf http://0.0.0.0:${port}`);
});